Package org.gradle.api.plugins

# Interface BasePluginExtension

public interface BasePluginExtension
An extension used for `BasePlugin`.

Since:
  7.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Property<String>`
  `getArchivesName()`
  The base name to use for archive files.
  `DirectoryProperty`
  `getDistsDirectory()`
  Returns the directory to generate TAR and ZIP archives into.
  `DirectoryProperty`
  `getLibsDirectory()`
  Returns the directory to generate JAR and WAR archives into.

- ## Method Details

  - ### getDistsDirectory

    DirectoryProperty getDistsDirectory()
    Returns the directory to generate TAR and ZIP archives into.
    Returns:
      The directory. Never returns null.

  - ### getLibsDirectory

    DirectoryProperty getLibsDirectory()
    Returns the directory to generate JAR and WAR archives into.
    Returns:
      The directory. Never returns null.

  - ### getArchivesName

    Property<String> getArchivesName()
    The base name to use for archive files.